﻿Imports System.ComponentModel
Imports XamGridVBSample.Expression.Blend.SampleData.SampleDataSource

Public Class MainViewModel
    Public Sub New()
        'Get the data from a service or wherever the data comes from.
        If App.InDesignMode Then
            'Launch the design time data.
            'If you have Blend generate sample data for you, you can set it to only be generated in design mode.
            _dataSource = New SampleDataSource
        Else
            'Get the data from the service.
            _dataSource = New SampleDataSource
        End If

    End Sub

    Private _dataSource As SampleDataSource = Nothing

    Public ReadOnly Property TaskCollection() As ItemCollection
        Get
            If Not _dataSource Is Nothing Then
                Return _dataSource.Collection
            Else
                Return Nothing
            End If
        End Get
    End Property

End Class
